> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elumenta.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Профиль пользователя

> Получение и обновление данных текущего пользователя

```bash theme={null}
curl https://elumenta.ru/api/v2/user/me \
  -H "Authorization: Bearer nb_ВАШ_API_КЛЮЧ"
```

```json theme={null}
{
  "id": 1042,
  "email": "user@example.com",
  "username": "ivan",
  "plan": "vip",
  "plan_expires_at": "2026-04-08T00:00:00Z",
  "token_balance": 283,
  "created_at": "2025-11-15T09:00:00Z"
}
```

## Обновление профиля

```bash theme={null}
PATCH /api/v2/user/me
{"username": "новое_имя"}
```

## Баланс токенов

```bash theme={null}
curl https://elumenta.ru/api/v2/balance \
  -H "Authorization: Bearer nb_ВАШ_API_КЛЮЧ"
```

```json theme={null}
{
  "token_balance": 283,
  "plan": "vip",
  "plan_expires_at": "2026-04-08T00:00:00Z"
}
```
